Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2009-0316

CVE information

Published

13 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

Untrusted search path vulnerability in src/if_python.c in the Python interface in Vim before 7.2.045 allows local users to execute arbitrary code via a Trojan horse Python file in the current working directory, related to a vulnerability in the PySys_SetArgv function (CVE-2008-5983), as demonstrated by an erroneous search path for plugin/bike.vim in bicyclerepair..

CVSSv2.0 Score

Severity
Medium
Base Score
6.9/10
Exploit Score
3.4/10
Access Vector
Local
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:vim:vim:5.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:6.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:1.22:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:6.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:7.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:5.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:vim:vim:4.0:*:*:*:*:*:*:*
  Yes
- -